Bug 226516 - Merge Review: unzip
Summary: Merge Review: unzip
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:13 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 07:59:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:13:33 UTC
Fedora Merge Review: unzip

http://cvs.fedora.redhat.com/viewcvs/devel/unzip/
Initial Owner: varekova@redhat.com

Comment 1 Ruben Kerkhof 2007-02-04 12:54:07 UTC
Review for release 2.2.1:
* RPM name is OK
* Source unzip552.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Encoding should be UTF-8
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)
* Preserve timestamps with cp -p when installing files

Notes:
* Please consider using {?dist} (fedoraproject.org/wiki/DistTag)

I got a warning during building, is this expected?
ln: creating hard link `./Makefile' to `unix/Makefile': File exists

Rpmlint is not silent: 

Source RPM:
W: unzip summary-ended-with-dot A utility for unpacking zip files.
E: unzip tag-not-utf8 %changelog
E: unzip non-utf8-spec-file unzip.spec

rpmlint of unzip:
W: unzip summary-ended-with-dot A utility for unpacking zip files.
E: unzip tag-not-utf8 %changelog


Comment 2 Ivana Varekova 2007-02-06 12:13:09 UTC
Fixed in unzip-5.52-3.fc7.

Comment 3 Ruben Kerkhof 2007-02-06 20:54:05 UTC
Hi Ivana,

Thanks for fixing all the above-mentioned issues. I don't see any further blockers, so this package is 
approved.

Please leave the ticket assigned to yourself.

Ruben

Comment 4 Michael Schwendt 2007-02-06 23:18:06 UTC
Only if you insist on keeping the "INSTALL" file in %doc, keep it.
Else drop it, as it is compile-from-source stuff that is irrelevant
to RPM package end-users.


Comment 5 Ivana Varekova 2007-02-07 09:02:59 UTC
Fixed in unzip-5.52-4.fc7

Comment 6 Warren Togami 2007-02-12 21:20:55 UTC
Unsetting fedora-cvs, as Core Merge Reviews are already in CVS, and will be part
of the mass move when we are ready to merge the distro later.


Note You need to log in before you can comment on or make changes to this bug.